Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
@@ -4412,8 +4404,8 @@
     ! do k=1,ntra
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
     ! :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
@@ -4447,10 +4439,10 @@
         ! ce surplus a la meme compo que le elij, sans fractionnement.
         ! d'ou le nouveau traitement ci-dessous.
-      if (elij(il,k,i).gt.0.0) then
+      if (elij(il,k,i).gt.0.0) THEN
         do ixt = 1, ntraciso
           xtawat(ixt)=awat*(xtelij(ixt,il,k,i)/elij(il,k,i))
 !          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas necessaire
         enddo
-      else !if (elij(il,k,i).gt.0.0) then
+      else !if (elij(il,k,i).gt.0.0) THEN
           ! normalement, si elij(il,k,i)<=0, alors awat=0
           ! on le verifie. Si c'est vrai -> xtawat=0 aussi
@@ -4465,8 +4457,8 @@
       ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv30_routines 3301',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(xtawat(1),'cv30_routine 3729')
@@ -4509,40 +4501,40 @@
       ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3325',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3328')
         enddo
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
         if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3396a, dtr mels') &
-                 .eq.1) then
-           write(*,*) 'il,k,i=',il,k,i
-           write(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
-           write(*,*) 'frnew=',0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat-rr(il,i))
-           write(*,*) 'frold=',fr(il,i)-0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat-rr(il,i))
-           write(*,*) 'deltaDfrnew=',deltaD((xtent(iso_HDO,il,k,i)-xtawat(iso_HDO)-xt(iso_HDO,il,i)) &
+                 .eq.1) THEN
+           WRITE(*,*) 'il,k,i=',il,k,i
+           WRITE(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
+           WRITE(*,*) 'frnew=',0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat-rr(il,i))
+           WRITE(*,*) 'frold=',fr(il,i)-0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat-rr(il,i))
+           WRITE(*,*) 'deltaDfrnew=',deltaD((xtent(iso_HDO,il,k,i)-xtawat(iso_HDO)-xt(iso_HDO,il,i)) &
                 /(qent(il,k,i)-awat-rr(il,i)))
-           write(*,*) 'deltaDfrold=',deltaD((fxt(iso_HDO,il,i) &
+           WRITE(*,*) 'deltaDfrold=',deltaD((fxt(iso_HDO,il,i) &
                 -0.01*grav*dpinv*ment(il, k, i)*(xtent(iso_HDO,il,k,i)-xtawat(iso_HDO)-xt(iso_HDO,il,i))) &
                 /(fr(il,i)-0.01*grav*dpinv*ment(il, k, i)*(qent(il,k,i)-awat-rr(il,i))))
-           write(*,*) 'q+=',rr(il,i)+delt*fr(il,i)
-           write(*,*) 'qent,awat=',qent(il,k,i),awat
-           write(*,*) 'elij,clw,ep=',elij(il,k,i),clw(il,i),ep(il,i)
-           write(*,*) 'deltaDfr=',deltaD(fxt(iso_hdo,il,i)/fr(il,i))
-           write(*,*) 'deltaDrr=',deltaD(xt(iso_hdo,il,i)/rr(il,i))
-           write(*,*) 'deltaDqent=',deltaD(xtent(iso_hdo,il,k,i) &
+           WRITE(*,*) 'q+=',rr(il,i)+delt*fr(il,i)
+           WRITE(*,*) 'qent,awat=',qent(il,k,i),awat
+           WRITE(*,*) 'elij,clw,ep=',elij(il,k,i),clw(il,i),ep(il,i)
+           WRITE(*,*) 'deltaDfr=',deltaD(fxt(iso_hdo,il,i)/fr(il,i))
+           WRITE(*,*) 'deltaDrr=',deltaD(xt(iso_hdo,il,i)/rr(il,i))
+           WRITE(*,*) 'deltaDqent=',deltaD(xtent(iso_hdo,il,k,i) &
                         /qent(il,k,i))
-           write(*,*) 'deltaDqent-awat=',deltaD((xtent(iso_hdo,il,k,i)-xtawat(iso_HDO)) &
+           WRITE(*,*) 'deltaDqent-awat=',deltaD((xtent(iso_hdo,il,k,i)-xtawat(iso_HDO)) &
                         /(qent(il,k,i)-awat))
-           write(*,*) 'deltaDawat=',deltaD(xtawat(iso_hdo)/awat) 
-           write(*,*) 'deltaDclw=',deltaD(xtclw(iso_hdo,il,i)/clw(il,i))          
+           WRITE(*,*) 'deltaDawat=',deltaD(xtawat(iso_hdo)/awat)
+           WRITE(*,*) 'deltaDclw=',deltaD(xtclw(iso_hdo,il,i)/clw(il,i))
 !           stop
         endif
-        if (iso_O18.gt.0) then
+        if (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4551,6 +4543,6 @@
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3396aO18, dtr mels')
-        endif !if (iso_O18.gt.0) then
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_O18.gt.0) THEN
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 3784')
@@ -4559,6 +4551,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3905',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 3905',1e-5)
@@ -4599,24 +4591,24 @@
       ! cam verif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3350',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3353')
         enddo
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                          +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3396b, dtr mels')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3396b,O18, dtr mels')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 3828')
@@ -4625,6 +4617,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 3949',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 3949',1e-5)
@@ -4646,8 +4638,8 @@
     ! do k=1,i-1
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
     ! :        *(traent(il,k,i,j)-tra(il,i,j))
@@ -4697,8 +4689,8 @@
        ! cam verif
 #ifdef ISOVERIF
-        if ((il.eq.1636).and.(i.eq.9)) then
-                write(*,*) 'cv30 4785: on ajoute le dtr ici:'
-                write(*,*) 'M=',0.01*grav*dpinv*ment(il, k, i)
-                write(*,*) 'q,qe=',rr(il,i),qent(il,k,i)
+        if ((il.eq.1636).and.(i.eq.9)) THEN
+                WRITE(*,*) 'cv30 4785: on ajoute le dtr ici:'
+                WRITE(*,*) 'M=',0.01*grav*dpinv*ment(il, k, i)
+                WRITE(*,*) 'q,qe=',rr(il,i),qent(il,k,i)
                 bx=0.01*grav*dpinv*ment(il,k,i)*(qent(il,k,i)-rr(il,i))
                 do ixt=1,niso
@@ -4711,30 +4703,30 @@
 #endif        
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3408',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3411')
         enddo
-        if (1.eq.0) then
-        if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+        if (1.eq.0) THEN
+        if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
               if (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3572, dtr mels').eq.1) then
-                write(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
-                write(*,*) 'fr(il,i)=',fr(il,i)
-!                if (fr(il,i).gt.ridicule*1e5) then
+                 'cv30_yield 3572, dtr mels').eq.1) THEN
+                WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
+                WRITE(*,*) 'fr(il,i)=',fr(il,i)
+!                if (fr(il,i).gt.ridicule*1e5) THEN
 !                 stop
 !                endif
                endif
-        endif !if (iso_HDO.gt.0) then
-        endif !if (1.eq.0) then
+        endif !if (iso_HDO.gt.0) THEN
+        endif !if (1.eq.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3605, dtr mels')
-        if (iso_O18.gt.0) then
+        if (iso_O18.gt.0) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i)) &
@@ -4743,5 +4735,5 @@
                  /(rr(il,i)+delt*fr(il,i)), &
                  'cv30_yield 3605O18, dtr mels')
-          if ((il.eq.1636).and.(i.eq.9)) then
+          if ((il.eq.1636).and.(i.eq.9)) THEN
           CALL iso_verif_O18_aberrant( &
                  (xt(iso_HDO,il,i)+delt*(fxt(iso_HDO,il,i)-xtbx(iso_HDO))) &
@@ -4750,7 +4742,7 @@
                  /(rr(il,i)+delt*(fr(il,i)-bx)), &
                  'cv30_yield 3605O18_nobx, dtr mels')
-           endif !if ((il.eq.1636).and.(i.eq.9)) then
-        endif !if (iso_O18.gt.0) then
-        endif !if (iso_HDO.gt.0) then
+           endif !if ((il.eq.1636).and.(i.eq.9)) THEN
+        endif !if (iso_O18.gt.0) THEN
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 3921')
@@ -4759,6 +4751,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4036',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 4036',1e-5)
@@ -4798,30 +4790,30 @@
        ! cam verif
 #ifdef ISOVERIF
-          if ((il.eq.1636).and.(i.eq.9)) then
-                write(*,*) 'cv30 4785b: on ajoute le dtr ici:'
-                write(*,*) 'M=',0.1*dpinv*ment(il, k, i)
-                write(*,*) 'q,qe=',rr(il,i),qent(il,k,i)
+          if ((il.eq.1636).and.(i.eq.9)) THEN
+                WRITE(*,*) 'cv30 4785b: on ajoute le dtr ici:'
+                WRITE(*,*) 'M=',0.1*dpinv*ment(il, k, i)
+                WRITE(*,*) 'q,qe=',rr(il,i),qent(il,k,i)
           endif
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3433',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           do ixt=1,niso
             CALL iso_verif_noNAN(fxt(ixt,il,i),'cv30_routines 3436')
           enddo
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
               if (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3597').eq.1) then
-                write(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
+                 'cv30_yield 3597').eq.1) THEN
+                WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
                 stop
                endif
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant_encadre((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3605b, dtr mels')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 3972')
@@ -4830,6 +4822,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv30_yield 4091',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv30_yield 4091',1e-5)
@@ -4846,8 +4838,8 @@
     ! do k=i,nl+1
     ! do il=1,ncum
-    ! if (i.le.inb(il) .and. k.le.inb(il)) then
+    ! if (i.le.inb(il) .and. k.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
     ! :         *(traent(il,k,i,j)-tra(il,i,j))
@@ -4907,56 +4899,56 @@
         enddo
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
         if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 4175') &
-                 .eq.1) then
-        write(*,*) 'il,i=',il,i
-        if (rr(il,i).ne.0.0) then
-        write(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
+                 .eq.1) THEN
+        WRITE(*,*) 'il,i=',il,i
+        if (rr(il,i).ne.0.0) THEN
+        WRITE(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
                  (xt(iso_HDO,il,i)/rr(il,i))
         endif
-        if (fr(il,i).ne.0.0) then
-        write(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
+        if (fr(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
                  deltaD(fxt(iso_HDO,il,i)/fr(il,i))
         endif
 #ifdef DIAGISO        
-        if (fq_ddft(il,i).ne.0.0) then
-        write(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
+        if (fq_ddft(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                  fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
         endif
-        if (fq_evapprecip(il,i).ne.0.0) then
-        write(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
+        if (fq_evapprecip(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
                  fxt_evapprecip(iso_HDO,il,i)/fq_evapprecip(il,i))
         endif
 #endif        
-        write(*,*) 'sigd,evap(il,i),evap(il,i+1)=', &
+        WRITE(*,*) 'sigd,evap(il,i),evap(il,i+1)=', &
                   sigd,evap(il,i),evap(il,i+1)
-        write(*,*) 'xtevap(iso_HDO,il,i),xtevap(iso_HDO,il,i+1)=', &
+        WRITE(*,*) 'xtevap(iso_HDO,il,i),xtevap(iso_HDO,il,i+1)=', &
                  xtevap(iso_HDO,il,i),xtevap(iso_HDO,il,i+1)
-        write(*,*) 'grav,mp(il,i+1),mp(il,i),dpinv=', &
+        WRITE(*,*) 'grav,mp(il,i+1),mp(il,i),dpinv=', &
                  grav,mp(il,i+1),mp(il,i),dpinv
-        write(*,*) 'rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)=', &
+        WRITE(*,*) 'rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)=', &
                  rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)
-        write(*,*) 'xtp(il,i+1),xt(il,i),xtp(il,i),xt(il,i-1)=', &
+        WRITE(*,*) 'xtp(il,i+1),xt(il,i),xtp(il,i),xt(il,i-1)=', &
                  xtp(iso_HDO,il,i+1),xt(iso_HDO,il,i), &
                  xtp(iso_HDO,il,i),xt(iso_HDO,il,i-1)
         stop
         endif
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
              (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
              (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
              'cv30_yield 5029,O18, evap')
-          if ((il.eq.1636).and.(i.eq.9)) then
-            write(*,*) 'cv30_yield 5057: ici, on verifie deltaD_nobx'
-            write(*,*) 'il,i=',il,i
-            write(*,*) 'fr(il,i),bx,fr(il,i)-bx=',fr(il,i),bx,fr(il,i)-bx
-            write(*,*) 'q,q+=',rr(il,i),rr(il,i)+delt*(fr(il,i)-bx)
-            write(*,*) 'deltaD,deltaD+=',deltaD(xt(iso_HDO,il,inb(il))/rr(il,inb(il))), &
+          if ((il.eq.1636).and.(i.eq.9)) THEN
+            WRITE(*,*) 'cv30_yield 5057: ici, on verifie deltaD_nobx'
+            WRITE(*,*) 'il,i=',il,i
+            WRITE(*,*) 'fr(il,i),bx,fr(il,i)-bx=',fr(il,i),bx,fr(il,i)-bx
+            WRITE(*,*) 'q,q+=',rr(il,i),rr(il,i)+delt*(fr(il,i)-bx)
+            WRITE(*,*) 'deltaD,deltaD+=',deltaD(xt(iso_HDO,il,inb(il))/rr(il,inb(il))), &
                 deltaD( (xt(iso_HDO,il,i)+delt*(fxt(iso_HDO,il,i)-xtbx(iso_HDO)))/(rr(il,i)+delt*(fr(il,i)-bx)))
-            write(*,*) 'deltaO18,deltaO18+=',deltaO(xt(iso_O18,il,inb(il))/rr(il,inb(il))), &
+            WRITE(*,*) 'deltaO18,deltaO18+=',deltaO(xt(iso_O18,il,inb(il))/rr(il,inb(il))), &
                 deltaO( (xt(iso_O18,il,i)+delt*(fxt(iso_O18,il,i)-xtbx(iso_O18)))/(rr(il,i)+delt*(fr(il,i)-bx)))
             CALL iso_verif_O18_aberrant( &
@@ -4966,11 +4958,10 @@
                  /(rr(il,i)+delt*(fr(il,i)-bx)), &
                 'cv30_yield 5029_nobx,O18, evap, no bx')
-          endif !if ((il.eq.1636).and.(i.eq.9)) then
-          endif !if (iso_HDO.gt.0) then
+          endif !if ((il.eq.1636).and.(i.eq.9)) THEN
+          endif !if (iso_HDO.gt.0) THEN
 #endif
 
 #ifdef ISOTRAC
-        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) then
-
+        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
             ! facile: on fait comme l'eau
             do ixt = 1+niso,ntraciso
@@ -5008,18 +4999,18 @@
 
         ! ajout du terme des ddfts sensi stricto
-!        write(*,*) 'tmp cv3_yield 4165: i,il=',i,il
-
-        if (option_traceurs.eq.6) then
+!        WRITE(*,*) 'tmp cv3_yield 4165: i,il=',i,il
+
+        if (option_traceurs.eq.6) THEN
           do iiso = 1, niso
              
              ixt_ddft=itZonIso(izone_ddft,iiso)  
-             if (mp(il,i).gt.mp(il,i+1)) then
+             if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*mp(il,i) &
                  *(xt(ixt_ddft,il,i-1)-xt(ixt_ddft,il,i))
-             else !if (mp(il,i).gt.mp(il,i+1)) then
+             else !if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*(mp(il,i) &
                  *xt(ixt_ddft,il,i-1)-mp(il,i+1)*xt(ixt_ddft,il,i) &
                  +(mp(il,i+1)-mp(il,i))*xtp(ixt_ddft,il,i))
-             endif !if (mp(il,i).gt.mp(il,i+1)) then
+             endif !if (mp(il,i).gt.mp(il,i+1)) THEN
              fxtqe(iiso)=0.01*grav*dpinv* &
                     (mp(il,i+1)*(xtp(iiso,il,i+1)-xt(iiso,il,i)) &
@@ -5032,8 +5023,6 @@
          enddo !do iiso = 1, niso
 
-         else !if (option_traceurs.eq.6) then
-
-
-            if (mp(il,i).gt.mp(il,i+1)) then
+         else !if (option_traceurs.eq.6) THEN
+            if (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas entrainant: faire attention
                 
@@ -5058,8 +5047,8 @@
                 Xe(iiso)=xt(iiso,il,i) &
                          -xt(ixt_ddft,il,i)-xt(ixt_revap,il,i)
-                if (Xe(iiso).gt.ridicule) then
+                if (Xe(iiso).gt.ridicule) THEN
                   do izone=1,nzone
                    if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) then
+                         (izone.ne.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
                     fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -5068,20 +5057,20 @@
                   enddo !do izone=1,nzone   
 #ifdef ISOVERIF
-!                write(*,*) 'iiso=',iiso
-!                write(*,*) 'fxtqe=',fxtqe(iiso)
-!                write(*,*) 'fxtYe=',fxtYe(iiso)
-!                write(*,*) 'fxt_revap=',fxt_revap(iiso)
-!                write(*,*) 'fxtXe=',fxtXe(iiso)
-!                write(*,*) 'Xe=',Xe(iiso)
-!                write(*,*) 'xt=',xt(:,il,i)
+!                WRITE(*,*) 'iiso=',iiso
+!                WRITE(*,*) 'fxtqe=',fxtqe(iiso)
+!                WRITE(*,*) 'fxtYe=',fxtYe(iiso)
+!                WRITE(*,*) 'fxt_revap=',fxt_revap(iiso)
+!                WRITE(*,*) 'fxtXe=',fxtXe(iiso)
+!                WRITE(*,*) 'Xe=',Xe(iiso)
+!                WRITE(*,*) 'xt=',xt(:,il,i)
                   CALL iso_verif_traceur_justmass(fxt(1,il,i), &
                          'cv30_routine 4646')
 #endif
-                else !if (abs(dXe).gt.ridicule) then
+                else !if (abs(dXe).gt.ridicule) THEN
                     ! dans ce cas, fxtXe doit etre faible
                     
 #ifdef ISOVERIF
-                if (delt*fxtXe(iiso).gt.ridicule) then
-                   write(*,*) 'cv30_routines 6563: delt*fxtXe(iiso)=', &
+                if (delt*fxtXe(iiso).gt.ridicule) THEN
+                   WRITE(*,*) 'cv30_routines 6563: delt*fxtXe(iiso)=', &
                                 delt*fxtXe(iiso)
                    stop
@@ -5090,11 +5079,11 @@
                 do izone=1,nzone
                    if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) then
+                         (izone.ne.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
-                    if (izone.eq.izone_poubelle) then
+                    if (izone.eq.izone_poubelle) THEN
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
-                    else !if (izone.eq.izone_poubelle) then
+                    else !if (izone.eq.izone_poubelle) THEN
                         ! pas de tendance pour ce tag la
-                    endif !if (izone.eq.izone_poubelle) then
+                    endif !if (izone.eq.izone_poubelle) THEN
                    endif !if ((izone.ne.izone_revap).and.
                 enddo !do izone=1,nzone
@@ -5104,9 +5093,8 @@
 #endif              
                                            
-                endif !if (abs(dXe).gt.ridicule) then
-
+                endif !if (abs(dXe).gt.ridicule) THEN
               enddo !do iiso = 1, niso
                
-            else !if (mp(il,i).gt.mp(il,i+1)) then
+            else !if (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas detrainant: pas de problemes
                 do ixt=1+niso,ntraciso
@@ -5119,13 +5107,11 @@
                          'cv30_routine 4685')
 #endif                
-            endif !if (mp(il,i).gt.mp(il,i+1)) then
-
-          endif !if (option_traceurs.eq.6) then
-
-!          write(*,*) 'delt*conversion=',delt*conversion(iso_eau)
-!           write(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau) 
-!           write(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)                  
-
-        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) then
+            endif !if (mp(il,i).gt.mp(il,i+1)) THEN
+          endif !if (option_traceurs.eq.6) THEN
+!          WRITE(*,*) 'delt*conversion=',delt*conversion(iso_eau)
+!           WRITE(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau)
+!           WRITE(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)
+
+        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
 #endif
         
@@ -5137,53 +5123,51 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv30_routines 3493',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if (1.eq.0) then
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+          endif !if (iso_eau.gt.0) THEN
+          if (1.eq.0) THEN
+          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
               if (iso_verif_aberrant_enc_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv30_yield 3662').eq.1) then
-                write(*,*) 'il,i,icb(il),inb(il)=',il,i,icb(il),inb(il)
-                write(*,*) 'fr(il,i),delt=',fr(il,i),delt
+                 'cv30_yield 3662').eq.1) THEN
+                WRITE(*,*) 'il,i,icb(il),inb(il)=',il,i,icb(il),inb(il)
+                WRITE(*,*) 'fr(il,i),delt=',fr(il,i),delt
 #ifdef DIAGISO                        
-                if (fq_ddft(il,i).ne.0.0) then
-                write(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
+                if (fq_ddft(il,i).ne.0.0) THEN
+                WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                    fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
-                endif !if (fq_ddft(il,i).ne.0.0) then
-                if (fq_evapprecip(il,i).ne.0.0) then
-                write(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i), &
+                endif !if (fq_ddft(il,i).ne.0.0) THEN
+                if (fq_evapprecip(il,i).ne.0.0) THEN
+                WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i), &
                    deltaD(fxt_evapprecip(iso_HDO,il,i) &
                    /fq_evapprecip(il,i))
-                endif !if (fq_evapprecip(il,i).ne.0.0) then
+                endif !if (fq_evapprecip(il,i).ne.0.0) THEN
 #endif                
                endif !if (iso_verif_aberrant_enc_nostop(
-          endif !if (iso_HDO.gt.0) then
-          endif !if (1.eq.0) then
+          endif !if (iso_HDO.gt.0) THEN
+          endif !if (1.eq.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            if (iso_verif_aberrant_enc_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv30_yield 3757, ddfts') &
-                 .eq.1) then
-                write(*,*) 'i,il,q,deltaD=',i,il,rr(il,i),deltaD( &
+                 .eq.1) THEN
+                WRITE(*,*) 'i,il,q,deltaD=',i,il,rr(il,i),deltaD( &
                    xt(iso_HDO,il,i)/rr(il,i))
-                write(*,*) 'i,il,fr,deltaD=',i,il,fr(il,i),deltaD( &
+                WRITE(*,*) 'i,il,fr,deltaD=',i,il,fr(il,i),deltaD( &
                    fxt(iso_HDO,il,i)/fr(il,i))
                 stop
             endif ! if (iso_verif_aberrant_enc_nostop
-        endif !if (iso_HDO.gt.0) then
-        
+        endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_O18_aberrant( &
              (xt(iso_HDO,il,i)+delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)), &
              (xt(iso_O18,il,i)+delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
              'cv30_yield 5250,O18, ddfts')
-          endif !if (iso_HDO.gt.0) then
-
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!        write(*,*) 'tmp cv3_yield 4224: i,il=',i,il
+!        WRITE(*,*) 'tmp cv3_yield 4224: i,il=',i,il
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv30_routine 4107')
         do ixt=1,ntraciso
@@ -5191,16 +5175,16 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew, &
-                        'cv30_yield 4221',1e-5).eq.1) then
-          write(*,*) 'delt*fxt(,il,i)=',delt*fxt(1:ntraciso:2,il,i)
-          write(*,*) 'delt*fxt(,il,i)=',delt*fxt(:,il,i)
-          write(*,*) 'xt(,il,i)=',xt(:,il,i)
-          write(*,*) 'delt,sigd,grav,dpinv=',delt,sigd,grav,dpinv
-          write(*,*) 'xtevap(,il,i)=',xtevap(:,il,i)
-          write(*,*) 'xtevap(,il,i+1)=',xtevap(:,il,i+1)
-          write(*,*) 'mp(il,i+1),mp(il,i)=',mp(il,i+1),mp(il,i)
-          write(*,*) 'xtp(,il,i)=',xtp(:,il,i)
-          write(*,*) 'xtp(,il,i+1)=',xtp(:,il,i+1)
-          write(*,*) 'xt(,il,i)=',xt(:,il,i)
-          write(*,*) 'xt(,il,i-1)=',xt(:,il,i-1)
+                        'cv30_yield 4221',1e-5).eq.1) THEN
+          WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(1:ntraciso:2,il,i)
+          WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(:,il,i)
+          WRITE(*,*) 'xt(,il,i)=',xt(:,il,i)
+          WRITE(*,*) 'delt,sigd,grav,dpinv=',delt,sigd,grav,dpinv
+          WRITE(*,*) 'xtevap(,il,i)=',xtevap(:,il,i)
+          WRITE(*,*) 'xtevap(,il,i+1)=',xtevap(:,il,i+1)
+          WRITE(*,*) 'mp(il,i+1),mp(il,i)=',mp(il,i+1),mp(il,i)
+          WRITE(*,*) 'xtp(,il,i)=',xtp(:,il,i)
+          WRITE(*,*) 'xtp(,il,i+1)=',xtp(:,il,i+1)
+          WRITE(*,*) 'xt(,il,i)=',xt(:,il,i)
+          WRITE(*,*) 'xt(,il,i-1)=',xt(:,il,i-1)
 !         rappel: fxt(ixt,il,i)=fxt(ixt,il,i)
 !          0.5*sigd*(xtevap(ixt,il,i)+xtevap(ixt,il,i+1))
@@ -5229,6 +5213,5 @@
 
 #ifdef ISOTRAC        
-        if (option_traceurs.ne.6) then
-
+        if (option_traceurs.ne.6) THEN
             ! facile: on fait comme l'eau
             do ixt = 1+niso,ntraciso
@@ -5239,6 +5222,5 @@
             enddo !do ixt = 1+niso,ntraciso
 
-        else  !if (option_traceurs.ne.6) then
-
+        else  !if (option_traceurs.ne.6) THEN
             ! taggage des ddfts:  voir blabla + haut
         do ixt = 1+niso,ntraciso
